import { Theme } from "@/config/theme";
import { Key } from "@/config/key";
import { Offer } from "@/config/offer";
import type { Options } from "@/options";
import { Tag, Usecase } from "@mytiki/tiki-sdk-capacitor";
export declare class Config {
    readonly theme: Theme;
    readonly key: Key;
    readonly terms: string;
    readonly learn: string;
    readonly callback: (total: number) => number | undefined;
    readonly offer: Offer;
    readonly tags: Tag[];
    readonly uses: {
        usecases: Usecase[];
        destinations: string[];
    }[];
    readonly payableType: string;
    constructor(options: Options);
}
export * from "./key";
export * from "./offer";
export * from "./theme";
