import type { Account, CaptureReceipt, Receipt } from "@mytiki/capture-receipt-capacitor";
import { AccountStatus } from "@/service";
export declare class ServiceCapture {
    readonly plugin: CaptureReceipt;
    private _accounts;
    private _onAccountListeners;
    private _onReceiptListeners;
    initialize(product: string, ios?: string | undefined, android?: string | undefined): Promise<void>;
    get accounts(): Account[];
    onAccount(id: string, listener: (account: Account, event: AccountStatus) => void): void;
    onReceipt(id: string, listener: (receipt: Receipt) => void): void;
    load(): Promise<Account[]>;
    login(account: Account): Promise<Account>;
    logout(account?: Account | undefined): Promise<void>;
    scan(): Promise<void>;
    private addAccount;
    private removeAccount;
    private accountKey;
    private guardReceipt;
}
export * from "./account-status";
